digiKam Developer Documentation: Digikam::SinglePhotoPreviewLayout Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::SinglePhotoPreviewLayout Class Reference
Inheritance diagram for Digikam::SinglePhotoPreviewLayout:

## Public Types
enum | SetZoomFlag { JustSetFactor = 0 , CenterView = 1 << 0 , SnapZoomFactor = 1 << 1 }
typedef QFlags< SetZoomFlag > | SetZoomFlags

## Public Slots
void | decreaseZoom (const QPoint &viewportAnchor=QPoint())
void | fitToWindow ()
void | increaseZoom (const QPoint &viewportAnchor=QPoint())
void | setZoomFactor (double z, const QPoint &viewportAnchor=QPoint(), SetZoomFlags flags=JustSetFactor)
void | setZoomFactor (double z, SetZoomFlags flags)
void | setZoomFactorSnapped (double z)
void | toggleFitToWindow ()
| Toggle between fitToWindow and previous zoom factor.
void | toggleFitToWindowOr100 ()
| Toggle between fitToWindow and zoom factor 1.
void | updateZoomAndSize ()
| Update settings when size of image or view changed.

## Signals
void | fitToWindowToggled (bool fitToWindow)
void | zoomFactorChanged (double)

## Public Member Functions
| SinglePhotoPreviewLayout (QObject *const parent)
void | addItem (GraphicsDImgItem *const item)
| Set the item to layout.
bool | atMaxZoom () const
bool | atMinZoom () const
bool | isFitToWindow () const
double | maxZoomFactor () const
| The zoom range for incrementing and decrementing.
double | minZoomFactor () const
double | realZoomFactor () const
void | setGraphicsView (GraphicsDImgView *const view)
| Set the graphics view, and associated scene, to operate on.
void | setMaxZoomFactor (double z)
void | setMinZoomFactor (double z)
void | setScaleFitToWindow (bool value)
| Set to true to scale small images to fit to window.
void | zoomByFactor (qreal factor, const QPoint &viewportAnchor)
double | zoomFactor () const

## Protected Member Functions
void | updateLayout ()

## Member Function Documentation

## ◆ addItem()

void Digikam::SinglePhotoPreviewLayout::addItem | ( | GraphicsDImgItem *const | item | ) |

For a SinglePhoto layout, typically, you can add only one item.